org.gradle.api.resources

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.resources.ResourceException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MissingResourceException

      public class ResourceException
      extends GradleException

  Generic resource exception that all other resource-related exceptions inherit from.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceException()`
    `ResourceException(String message)`
    `ResourceException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

    - #### ResourceException

          public ResourceException(String message)

    - #### ResourceException

          public ResourceException(String message,
                           Throwable cause)